
QGIS Application - Bug report #15775

Zoom to selection zooms more than needed

2016-10-28 04:03 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23696

Description

Select a feature

Click on the zoom to selection button

You'll get the selected feature on the screen, but not entirely.

This happens whatever tool you use to zoom to feature (within attribute table dialog, context menu, from main toolbar, from View menu...).

the function itself is broken.

This is a regression.

History

#1 - 2017-02-28 05:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot really replicate with 2.18.4 on both Windows and Linux.

Can you add more details (datasource, type of geometries, etc.)?

#2 - 2017-02-28 07:03 AM - Harrissou Santanna

I give it a try again (using the same data) and:

    -  on macOS with 2.18.2 it works as expected

    -  on Windows 10

 - it works as expected when on master (commit:1182816)

 - it fails to render all the geometry on 2.18.3-dev (commit:f1379e8) or 2.18.4, regardless the data format (PG vs shapefile, line vs polygon)

#3 - 2017-02-28 11:21 AM - Giovanni Manghi

- it fails to render all the geometry on 2.18.3-dev (commit:f1379e8) or 2.18.4, regardless the data format (PG vs shapefile, line vs polygon)

it works as expected here on Win 10 and 2.18.4, can you post a sample of your data and a screenshot to understand better what you see? thanks.

#4 - 2017-02-28 11:47 AM - Ger CO

Giovanni Manghi wrote:

- it fails to render all the geometry on 2.18.3-dev (commit:f1379e8) or 2.18.4, regardless the data format (PG vs shapefile, line vs polygon)
it works as expected here on Win 10 and 2.18.4, can you post a sample of your data and a screenshot to understand better what you see? thanks.

Zoom level is too high here as well. I am on win 7 64, qgis 2.18.4

#5 - 2017-02-28 12:37 PM - Giovanni Manghi

Zoom level is too high here as well. I am on win 7 64, qgis 2.18.4

please post an image. Thanks.

#6 - 2017-03-03 06:49 AM - Harrissou Santanna

- File zoomtoselection.PNG added

- File zoomtoselection.zip added

I added some dummy data that produces this bug (actually it happens with any data) and a screenshot. Still failing zoom with commit:3057738.

Hope that helps.

#7 - 2017-03-03 08:26 AM - Giovanni Manghi

- File Screenshot_20170303_163242.png added

Harrissou Santanna wrote:

I added some dummy data that produces this bug (actually it happens with any data) and a screenshot. Still failing zoom with commit:3057738.

Hope that helps.

works perfecty here on the very same feature you pictured in the screenshot.

Please try when a clean environment and no 3rd party plugins.

#8 - 2017-03-03 08:41 AM - Harrissou Santanna

Weird... 

I just ran qgis --defaultui --nocustomization --noplugins (altogether and separately) and adding the layer still gives me a truncated zoom.

Given that it seems related to Windows, did you check on a Windows ( I use osgeo4w-64) installation?

Thanks Giovanni for your tests and dedication to QGIS

#9 - 2017-03-06 04:18 AM - Giovanni Manghi

Harrissou Santanna wrote:

Weird... 

I just ran qgis --defaultui --nocustomization --noplugins (altogether and separately) and adding the layer still gives me a truncated zoom.
Given that it seems related to Windows, did you check on a Windows ( I use osgeo4w-64) installation?

still no issues here on Win.

Can you try recreate the spatial index for you data?

Thanks Giovanni for your tests and dedication to QGIS

thanks!

#10 - 2017-04-29 05:21 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen of necessary.

Files

zoomtoselection.PNG 125 KB 2017-03-03 Harrissou Santanna

zoomtoselection.zip 30.4 KB 2017-03-03 Harrissou Santanna

Screenshot_20170303_163242.png 164 KB 2017-03-03 Giovanni Manghi
